summaryrefslogtreecommitdiffstats
path: root/source/l/slang
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/slang')
-rw-r--r--source/l/slang/slack-desc12
-rwxr-xr-xsource/l/slang/slang.SlackBuild32
2 files changed, 27 insertions, 17 deletions
diff --git a/source/l/slang/slack-desc b/source/l/slang/slack-desc
index f821c96cc..7628af910 100644
--- a/source/l/slang/slack-desc
+++ b/source/l/slang/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -10,10 +10,10 @@ slang: slang (S-Lang interpreter version 2)
slang:
slang: S-Lang is an interpreted language that was designed from the start
slang: to be easily embedded into a program to provide it with a powerful
-slang: extension language. S-Lang is also a programmer's library that
+slang: extension language. S-Lang is also a programmer's library that
slang: permits a programmer to develop sophisticated platform-independent
-slang: software. In addition to providing the S-Lang extension language,
+slang: software. In addition to providing the S-Lang extension language,
slang: the library provides facilities for screen management, keymaps,
slang: and low-level terminal I/O.
slang:
-slang:
+slang: Homepage: http://www.jedsoft.org/slang/
diff --git a/source/l/slang/slang.SlackBuild b/source/l/slang/slang.SlackBuild
index caaa320df..2f7b90763 100755
--- a/source/l/slang/slang.SlackBuild
+++ b/source/l/slang/slang.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,28 +20,37 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=slang
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
# This doesn't handle multiple jobs well
NUMJOBS=${NUMJOBS:-" -j1 "}
# -fno-tree-dse is needed avoid optimization bugs
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -fno-tree-dse -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -fno-tree-dse -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2 -fno-tree-dse"
@@ -54,7 +63,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-slang
rm -rf $PKG
@@ -62,7 +70,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf slang-$VERSION
-tar xvf $CWD/slang-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/slang-$VERSION.tar.?z || exit 1
cd slang-$VERSION || exit 1
chown -R root:root .
find . \
@@ -79,14 +87,16 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--includedir=/usr/include \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
make -j4 elf || exit 1
make install-elf DESTDIR=$PKG || exit 1
-chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/libslang.so.$VERSION
+# Make sure shared libraries are executable:
+chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/lib*.so.*
+
# --disable-static doesn't always work, but this is guaranteed:
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.a